#include<fstream>
#include<string>
using namespace std;
ifstream fi("BAI3_18.inp");
ofstream fo("BAI3_18.out");
string s;
string x;
string a;
int pow(int n,int m)
{
	int kq=1;
	for(int i=0;i<m;i++)
	{
		kq*=n;
	}
	return kq;
}
int main()
{
	int q=0;
	int n=0;
	getline(fi,a);
	int l=a.length()-1;
	for(int j=l;j>=0;j--)
	{
		n+=(int(a[j])-48)*pow(10,l-q);
		q++;
	}
	getline(fi,s);
	x=s+s;
	for(int i=n+1;i<s.length()+n+1;i++)
	{
		fo<<x[i];
	}
	fi.close();
	fo.close();
}
